from _typeshed import Incomplete
from collections.abc import Generator
from strictyaml import exceptions as exceptions
from strictyaml.ruamel.comments import (
    CommentedMap as CommentedMap,
    CommentedSeq as CommentedSeq,
)

unicode = str

def flatten(items) -> Generator[Incomplete, None, None]: ...
def has_number_type(value): ...
def is_string(value): ...
def is_integer(value): ...
def is_hexadecimal(value): ...
def is_decimal(value): ...
def is_infinity(value): ...
def is_not_a_number(value): ...
def comma_separated_positions(text): ...
def ruamel_structure(data, validator: Incomplete | None = ...): ...
